From 406619e237dd591f5a321ee1e2dd49fd47be6537 Mon Sep 17 00:00:00 2001
From: Sebastian Poeplau <sebastian.poeplau@eurecom.fr>
Date: Wed, 30 Jan 2019 17:12:35 +0100
Subject: [PATCH] Allow passing a timeout via run_qsym.py

---
 bin/run_qsym.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/bin/run_qsym.py b/bin/run_qsym.py
index 3c494a8..23d6932 100755
--- a/bin/run_qsym.py
+++ b/bin/run_qsym.py
@@ -10,6 +10,7 @@ def parse_args():
     p.add_argument("-i", dest="input_file", help="An input file", required=True)
     p.add_argument("-o", dest="output_dir", help="An output directory", required=True)
     p.add_argument("-b", dest="bitmap", help="A bitmap file")
+    p.add_argument("-t", dest="timeout", help="A timeout in seconds")
     p.add_argument("cmd", nargs="+",
             help="Command to execute: use %s to denote a file" % utils.AT_FILE)
     return p.parse_args()
@@ -20,7 +21,7 @@ def main():
             args.input_file,
             args.output_dir,
             args.bitmap)
-    q.run()
+    q.run(timeout=int(args.timeout) if args.timeout else None)
 
 if __name__ == "__main__":
     logging.basicConfig(level=logging.DEBUG)
-- 
2.23.0

